Subject: bug#1007: Emacs 22.3 Windows Draw/Redraw Issues

From: Jason Rumney <[email-masked]>
Date: Sat, 20 Sep 2008 05:06:46 +0800

Ng, Andrew wrote:
> I have come across various draw/redraw problems with Emacs on Windows,
> particular since ClearType support was enabled. These problems annoyed
> me sufficiently that I decided to fix them myself. I have tried to get
> these fixes submitted previously, but with no success thus far.
>   

Hi Andrew,

I did apply a minimum subset of the patches you submitted that was 
required to eliminate all bugs reported before the date I applied the 
patch. This was done at the last minute before 22.2 was released (thus 
the reason why I tried to reduce the impact of your changes), and since 
there were no reports after 22.2 was released, this was never revisited. 
The Emacs 22 branch is effectively dead with the release of 22.3 AFAIK, 
and the font handling in Emacs 23 is completely different, so if patches 
are still required, they are likely to be completely different.